<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="eng">
<head>
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">


    <!-- jQuery library -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>

    <!-- Latest compiled JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

    <link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css">

    <link rel="stylesheet" type="text/css" href="/css/anotherLogin.css">
</head>
<body>
<div class="container my-5">
    <h2 class="mb-5">New User</h2>
    <div class="row">
        <div class="col-md-6">

            <form action="#" th:action="@{/register}" th:object="${userDto}" method="post">
                <div class="row">
                    <div class="form-group col-md-6">
                        <label for="name" class="col-form-label">Name</label>
                        <input type="text" th:field="*{name}" class="form-control" id="name" placeholder="Name">
                        <span th:if="${#fields.hasErrors('name')}" th:errors="*{name}" class="text-danger"></span>
                        <label for="firstName" class="col-form-label">First Name</label>
                        <input type="text" th:field="*{firstName}" class="form-control" id="firstName"
                               placeholder="First Name">
                        <span th:if="${#fields.hasErrors('firstName')}" th:errors="*{firstName}"
                              class="text-danger"></span>
                        <label for="address" class="col-form-label">Address</label>
                        <input type="text" th:field="*{address}" class="form-control" id="address"
                               placeholder="Address">
                        <span th:if="${#fields.hasErrors('address')}" th:errors="*{address}" class="text-danger"></span>
                        <label for="email" class="col-form-label">Email</label>
                        <input type="text" th:field="*{email}" class="form-control" id="email" placeholder="Email">
                        <span th:if="${#fields.hasErrors('email')}" th:errors="*{email}" class="text-danger"></span>
                        <label for="country" class="col-form-label">Country</label>
                        <input type="text" th:field="*{country}" class="form-control" id="country"
                               placeholder="Country">
                        <span th:if="${#fields.hasErrors('country')}" th:errors="*{country}" class="text-danger"></span>
                        <label for="password" class="col-form-label">Password</label>
                        <input type="password" th:field="*{password}" class="form-control" id="password"
                               placeholder="Password">
                        <span th:if="${#fields.hasErrors('password')}" th:errors="*{password}"
                              class="text-danger"></span>
                        <div>
                            <input type="submit" class="btn btn-primary" value="Register">
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
</body>
</html>